Home » Infrastructure » Linux » A question about Oralce9i
icon5.gif  A question about Oralce9i [message #191081] Mon, 04 September 2006 07:18 Go to next message
snowball
Messages: 229
Registered: April 2006
Location: China
Senior Member

Hi,all.
These days ,I met a problem: when I was installing the Oracle9i,it would give me these error message like this:

1.When I used the root to install.The message is:
"The user is root. Oracle Universal Installer cannot continue installation if the user is root.
: No such file or directory"

2.When I used the oracle(not in root group,but the oralce owner) to install.The message is :
Initializing Java Virtual Machine from /tmp/OraInstall2006-09-04_04-24-43PM/jre/bin/java. Please wait...
/tmp/OraInstall2006-09-04_04-24-43PM/jre/bin/i386/native_threads/java: error while loading shared libraries: /tmp/OraInstall2006-09-04_04-24-43PM/jre/lib/i386/native_threads/libhpi.so: cannot restore segment prot after reloc: Permission denied

More details:

[root@BHBH_LINUXLIB rpm1]# cd /
[root@BHBH_LINUXLIB /]# cd /home/ora9i
[root@BHBH_LINUXLIB ora9i]# ls
Disk1 Disk2 Disk3 ship_9204_linux_disk1.cpio ship_9204_linux_disk2.cpio ship_9204_linux_disk3.cpio
[root@BHBH_LINUXLIB ora9i]# cd Disk1
[root@BHBH_LINUXLIB Disk1]# ls
doc index.htm install lgto response runInstaller stage
[root@BHBH_LINUXLIB Disk1]# ./runInstaller
[root@BHBH_LINUXLIB Disk1]#
The user is root. Oracle Universal Installer cannot continue installation if the user is root.
: No such file or directory

[root@BHBH_LINUXLIB Disk1]# su - oracle
[oracle@BHBH_LINUXLIB ~]$ cd /home/ora9i/Disk1
[oracle@BHBH_LINUXLIB Disk1]$ ls
doc index.htm install lgto response runInstaller stage
[oracle@BHBH_LINUXLIB Disk1]$ ./runInstaller
[oracle@BHBH_LINUXLIB Disk1]$ Initializing Java Virtual Machine from /tmp/OraInstall2006-09-04_04-24-43PM/jre/bin/java. Please wait...
/tmp/OraInstall2006-09-04_04-24-43PM/jre/bin/i386/native_threads/java: error while loading shared libraries: /tmp/OraInstall2006-09-04_04-24-43PM/jre/lib/i386/native_threads/libhpi.so: cannot restore segment prot after reloc: Permission denie

A question about Oralce9i [message #191082 is a reply to message #191081] Mon, 04 September 2006 07:22 Go to previous messageGo to next message
snowball
Messages: 229
Registered: April 2006
Location: China
Senior Member


These are some packets' conflicts occured:

root@BHBH_LINUXLIB rpm1]# rpm -ivh compat-libstdc++-8-3.3.4.2.i386.rpm
warning: compat-libstdc++-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Preparing... ########################################### [100%]
file /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
file /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
[root@BHBH_LINUXLIB rpm1]# ls
compat-db-4.2.52-3.fc4.i386.rpm compat-libstdc++-8-3.3.4.2.i386.rpm openmotif21-2.1.30-14.i386.rpm
compat-gcc-8-3.3.4.2.i386.rpm compat-libstdc++-devel-8-3.3.4.2.i386.rpm tcl-devel-8.4.9-3.i386.rpm
compat-gcc-c++-8-3.3.4.2.i386.rpm glib-devel-1.2.10-16.i386.rpm
[root@BHBH_LINUXLIB rpm1]# rpm -ivh compat-libstdc++-8-3.3.4.2.i386.rpm
warning: compat-libstdc++-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Preparing... ########################################### [100%]
file /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
file /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
[root@BHBH_LINUXLIB rpm1]# ls
compat-db-4.2.52-3.fc4.i386.rpm compat-libstdc++-8-3.3.4.2.i386.rpm openmotif21-2.1.30-14.i386.rpm
compat-gcc-8-3.3.4.2.i386.rpm compat-libstdc++-devel-8-3.3.4.2.i386.rpm tcl-devel-8.4.9-3.i386.rpm
compat-gcc-c++-8-3.3.4.2.i386.rpm glib-devel-1.2.10-16.i386.rpm
[root@BHBH_LINUXLIB rpm1]# rpm -ivh compat-gcc-c++-8-3.3.4.2.i386.rpm
warning: compat-gcc-c++-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
error: Failed dependencies:
compat-libstdc++ = 8 is needed by compat-gcc-c++-8-3.3.4.2.i386
compat-libstdc++-devel = 8 is needed by compat-gcc-c++-8-3.3.4.2.i386
[root@BHBH_LINUXLIB rpm1]# rpm -ivh compat-libstdc++-8-3.3.4.2.i386.rpm
warning: compat-libstdc++-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Preparing... ########################################### [100%]
file /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
file /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
[root@BHBH_LINUXLIB rpm1]# rpm -ivh compat-libstdc++-devel-8-3.3.4.2.i386.rpm
warning: compat-libstdc++-devel-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
error: Failed dependencies:
compat-libstdc++ = 8-3.3.4.2 is needed by compat-libstdc++-devel-8-3.3.4.2.i386
[root@BHBH_LINUXLIB rpm1]# rpm -Uvh compat-gcc-c++-8-3.3.4.2.i386.rpm
warning: compat-gcc-c++-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
error: Failed dependencies:
compat-libstdc++ = 8 is needed by compat-gcc-c++-8-3.3.4.2.i386
compat-libstdc++-devel = 8 is needed by compat-gcc-c++-8-3.3.4.2.i386
[root@BHBH_LINUXLIB rpm1]# rpm -Uvh compat-libstdc++-8-3.3.4.2.i386.rpm
warning: compat-libstdc++-8-3.3.4.2.i386.rpm: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
Preparing... ########################################### [100%]
file /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4
file /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so from install of compat-libstdc++-8-3.3.4.2 conflicts with file from package compat-libstdc++-296-2.96-132.fc4

I don't know how to fix it.

Regards,
Snowball
Re: A question about Oralce9i [message #192584 is a reply to message #191082] Tue, 12 September 2006 22:38 Go to previous messageGo to next message
jimmy_nokia
Messages: 4
Registered: September 2006
Junior Member
No Message Body
Re: A question about Oralce9i [message #192585 is a reply to message #191082] Tue, 12 September 2006 22:42 Go to previous messageGo to next message
jimmy_nokia
Messages: 4
Registered: September 2006
Junior Member
the problem is due to SELinux (Security-Enhanced Linux ),
you just need to disable the SELINUX.

to modify the file /etc/selinux/config
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
# enforcing - SELinux security policy is enforced.
# permissive - SELinux prints warnings instead of enforcing.
# disabled - SELinux is fully disabled.
SELINUX=enforcing

------------
to comment the line "SELINUX=enforcing"
and to add a new line "SELINUX=disabled"

save the file ,to restart the system .

then will resove the problem like "..../libphp4.so: cannot restore segment prot after reloc: Permission denied "

Hope help you .
wang
Re: A question about Oralce9i [message #192605 is a reply to message #191081] Tue, 12 September 2006 23:48 Go to previous message
coolbalaga
Messages: 24
Registered: September 2006
Junior Member

1. We have to install the oracle from the "oracle" user. Make sure that you have created "oracle" user and "oinstall/dba" as the group.

2. login as the oracle user and then perform the following:
i. Before running runInstaller, install the jre1.3.1.
ii. edit the oraparam.ini for the JRE_LOCATION to point to the installed JRE location.

3. Then try running the ./runInstaller


Previous Topic: An issue with Unix cron
Next Topic: problem after installing oracle
Goto Forum:
  


Current Time: Sat Dec 03 16:26:54 CST 2016

Total time taken to generate the page: 0.16787 seconds